# eric7.QScintilla.Lexers.LexerMakefile

Module implementing a Makefile lexer with some additional methods.

### Global Attributes

None

### Classes

LexerMakefile | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerMakefile

Subclass to implement some additional lexer dependant methods.

### Derived from

Lexer, QsciLexerMakefile

### Class Attributes

None

### Class Methods

None

### Methods

LexerMakefile | Constructor
defaultKeywords | Public method to get the default keywords.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerMakefile (Constructor)

LexerMakefile(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerMakefile.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Return:
  string giving the keywords (string) or None

#### LexerMakefile.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

style
  style to check (integer)

Return:
  flag indicating a comment style (boolean)

#### LexerMakefile.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

style
  style to check (integer)

Return:
  flag indicating a string style (boolean)

Up